Bug 170133 - Kernel OOp on boot in usb.agent
Kernel OOp on boot in usb.agent
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 12:58 EDT by Alfons Zitterbacke
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 02:04:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alfons Zitterbacke 2005-10-07 12:58:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I installed this kernel using yum.
When is boot up the system, it hangs.
Trying this again and again, and sometimes it continues to boot.


Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4

How reproducible:
Sometimes

Steps to Reproduce:
1. work on running system until gnome fails to use right mouse button (usb mouse, but left mouse & cursor works fine) and to drop-down menus. usb keyboard gets ignored
2. reboot system by either using ssh or remove power
3. boot up. 
  

Actual Results:  system either hangs without error message on screen.
sometimes it already hangs on "loading hardware ... " before framebuffer gets loaded, sometimes it hangs on portmapper, nfsstatd or systemlogger starting.

Expected Results:  normal boot up.

Additional info:

Then i find this is /var/log/messages:
Oct  7 18:09:02 charlie kernel: Unable to handle kernel paging request at 000000000040a8bc RIP:
Oct  7 18:09:02 charlie kernel: <ffffffff801ad5d6>{load_elf_binary+451}
Oct  7 18:09:02 charlie kernel: PGD 3de1a067 PUD 3f9b9067 PMD 36ea8067 PTE 3ce0c005
Oct  7 18:09:02 charlie kernel: Oops: 0003 [1] SMP
Oct  7 18:09:02 charlie kernel: CPU 1
Oct  7 18:09:02 charlie kernel: Modules linked in: ehci_hcd tda9887 tuner saa7134 video_buf v4l2_common v4l1_compat ir_common videodev shpchp i2c_i801 i2c_core snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc via_rhine mii floppy ext3 jbd ata_piix libata sd_mod scsi_mod
Oct  7 18:09:02 charlie kernel: Pid: 1406, comm: usb.agent Not tainted 2.6.13-1.1526_FC4smp
Oct  7 18:09:02 charlie kernel: RIP: 0010:[<ffffffff801ad5d6>] <ffffffff801ad5d6>{load_elf_binary+451}
Oct  7 18:09:02 charlie kernel: RSP: 0018:ffff8100387b5d38  EFLAGS: 00010206
Oct  7 18:09:02 charlie kernel: RAX: 000000000040a894 RBX: 0000000000000003 RCX: ffff81003fa254f0
Oct  7 18:09:02 charlie kernel: RDX: 0000000000000000 RSI: ffff81003fa25570 RDI: ffff81003fa254c4
Oct  7 18:09:02 charlie kernel: RBP: ffff81003d0aaa80 R08: 0000000000000000 R09: 0000000000000000
Oct  7 18:09:02 charlie kernel: R10: ffff81003fa25570 R11: 0000000000000000 R12: ffff81003d14d400
Oct  7 18:09:02 charlie kernel: R13: ffffffff8035b9ba R14: ffff8100387b5f58 R15: 00000000000001f8
Oct  7 18:09:02 charlie kernel: FS:  00002aaaaaad7ee0(0000) GS:ffffffff80502880(0000) knlGS:0000000000000000
Oct  7 18:09:03 charlie kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Oct  7 18:09:03 charlie kernel: CR2: 000000000040a8bc CR3: 000000003e07d000 CR4: 00000000000006e0
Oct  7 18:09:03 charlie kernel: Process usb.agent (pid: 1406, threadinfo ffff8100387b4000, task ffff81003fb020b0)
Oct  7 18:09:03 charlie kernel: Stack: ffff81003fafda80 0000000000000080 ffff81003d14d400 ffff8100387b5ed0
Oct  7 18:09:03 charlie kernel:        00000000006ce0c0 ffffffff8015f2f7 ffff81003d14d400 0000000000000080
Oct  7 18:09:03 charlie kernel:        0000000000000246 ffffffff801623c1
Oct  7 18:09:03 charlie kernel: Call Trace:<ffffffff8015f2f7>{generic_file_aio_read+50} <ffffffff801623c1>{buffered_rmqueue+555}
Oct  7 18:09:03 charlie kernel:        <ffffffff801ad413>{load_elf_binary+0} <ffffffff8018b935>{search_binary_handler+185}
Oct  7 18:09:03 charlie kernel:        <ffffffff8018bc87>{do_execve+437} <ffffffff8010d99e>{system_call+126}
Oct  7 18:09:03 charlie kernel:        <ffffffff8010beb2>{sys_execve+54} <ffffffff8010ddbe>{stub_execve+106}
Oct  7 18:09:03 charlie kernel:
Oct  7 18:09:03 charlie kernel:
Oct  7 18:09:03 charlie kernel: Code: f0 ff 40 28 49 8b b4 24 98 01 00 00 89 5c 24 1c 89 df e8 0f
Oct  7 18:09:03 charlie kernel: RIP <ffffffff801ad5d6>{load_elf_binary+451} RSP <ffff8100387b5d38>
Oct  7 18:09:03 charlie kernel: CR2: 000000000040a8bc
Oct  7 18:09:03 charlie kernel:  <3>Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
Oct  7 18:09:03 charlie kernel: in_atomic():0, irqs_disabled():1
Oct  7 18:09:03 charlie kernel:
Oct  7 18:09:03 charlie kernel: Call Trace:<ffffffff80136667>{profile_task_exit+21} <ffffffff80137862>{do_exit+34}
Oct  7 18:09:03 charlie kernel:        <ffffffff80252683>{do_unblank_screen+45} <ffffffff801212e5>{do_page_fault+1884}
Oct  7 18:09:03 charlie kernel:        <ffffffff801803b6>{do_sync_read+208} <ffffffff8015d420>{file_read_actor+0}
Oct  7 18:09:03 charlie kernel:        <ffffffff8010e4bd>{error_exit+0} <ffffffff801ad5d6>{load_elf_binary+451}
Oct  7 18:09:03 charlie kernel:        <ffffffff801ad5c4>{load_elf_binary+433} <ffffffff8015f2f7>{generic_file_aio_read+50}
Oct  7 18:09:03 charlie kernel:        <ffffffff801623c1>{buffered_rmqueue+555} <ffffffff801ad413>{load_elf_binary+0}
Oct  7 18:09:03 charlie kernel:        <ffffffff8018b935>{search_binary_handler+185} <ffffffff8018bc87>{do_execve+437}
Oct  7 18:09:03 charlie kernel:        <ffffffff8010d99e>{system_call+126} <ffffffff8010beb2>{sys_execve+54}
Oct  7 18:09:03 charlie kernel:        <ffffffff8010ddbe>{stub_execve+106}

Note, I use a Pentium 4 Hybrid 3,2 Ghz.
Comment 1 Dave Jones 2005-11-10 14:17:25 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Dave Jones 2006-02-03 01:39:51 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 Alfons Zitterbacke 2006-03-18 06:24:45 EST
I cannot reproduce this problem on recent fc4 any longer.
Comment 4 Dave Jones 2006-09-16 21:52:31 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Alfons Zitterbacke 2006-09-22 08:17:36 EDT
No such problem has appeared in fc5 to me.
Comment 6 Dave Jones 2006-09-27 02:04:34 EDT
Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.